#Options
GCC		= gcc
CFLAGS  = -Wall -Wextra -Werror

NAME	= libmy.a
NAME2 	= ./Release/my_crd
RM		= rm -f

 

#Sources objets 
SRC		= \
		./libmy/my_find_node.c \
		./libmy/my_delete_nodes.c \
		./libmy/my_str_to_word_array.c \
		./libmy/my_getnbr.c	\
		./libmy/my_strdup.c	\
		./libmy/my_push_front_to_list.c \
		./libmy/my_putchar.c \
		./libmy/my_putstr.c \
		./libmy/my_putnbr.c 
       
SRC2    = my_crd.c \

#objets 
OBJ		= $(SRC:.c=.o)
OBJ2    = $(SRC2:.c=.o)


all: $(NAME)

#Créerlibmy.a et my_crdS
$(NAME): $(OBJ) $(OBJ2)
		ar rc $(NAME) $(SRC:.c=.o)
		$(GCC) -o $(NAME2) $(SRC2:.c=.o) $(NAME)

#Effacer les .0
clean:
		$(RM) $(OBJ) $(OBJ2) 

#Effacer libmy.a et my.crd
fclean: clean
		$(RM) $(NAME) $(NAME2)

#Effacer tout 
re: fclean all all2

